Subject: Re: Problems with setup handling of gcc-core & gcc-testsuite
From: Robert Collins <[email-masked]>
To: Cygwin General Discussion <[email-masked]>, "David A. Cobb" <[email-masked]>
Cc: Brian Ford <[email-masked]>
Date: Tue, 09 Dec 2003 07:15:55 +1100

On Tue, 2003-12-09 at 07:10, David A. Cobb wrote:
> >
> Well, I read that.  It doesn't sound like the same thing.
> 
> The first time I saw it, I explicitly selected "Install" the gcc-core.  
> However, it keeps showing up as something to be installed. 
> It still shows with the "new or omitted" packages view.  
> My hypothesis is that, because it is a source-only package, setup never 
> records it in INSTALLED.DB (?).
> Hey, I can probably edit the database myself - I'm pretty sure it's 
> text.  But that wouldn't solve the perceived problem.

Source packages do not get listed as installed. 
If you want something that contains source to be listed as installed,
and uninstallable, you need a binary package that contains source code -
like the kernel-source packages on debian.

Rob
-- 
GPG key available at: <http://www.robertcollins.net/keys.txt>.